:root {
  --c_dark: #191919;
  --c_light: #fcd7ff;
  --c_scheme_bg: var(--c_dark);
  --c_scheme_el: var(--c_light);
  --c_scheme_filter: grayscale(100%);
  --c_scheme_filter2: grayscale(100%);
  --c_scheme_switch: translateX(0);
   --c_scheme_switch2: translateX(0);
}
@media (prefers-color-scheme: light) {
  :root {
    --c_scheme_bg: var(--c_light);
    --c_scheme_el: var(--c_dark);
    --c_scheme_filter: grayscale(0);
    --c_scheme_filter2: grayscale(0);
    --c_scheme_switch: translateX(120%);
    --c_scheme_switch2: translateX(120%);
  }
}

.p-flex-col {
  display: flex;
  flex-direction: column;
}

.p-uppercase {
  text-transform: uppercase;
  letter-spacing: 0.2rem;
}

.p-bold {
  font-weight: 500;
  letter-spacing: 0.3rem;
}

.p-text-style {
  font-weight: 300;
  letter-spacing: 0.05rem;
}

.p-sr-only {
  font: 0/0 a;
  color: transparent;
}



::-moz-selection {
  background-color: #304FFE;
  color: var(--c_light);
}

::selection {
  background-color: #304FFE;
  color: var(--c_light);
}

.theme {
  width: 100%;
  height: auto;
  background-color: var(--c_scheme_bg);
  color: var(--c_scheme_el);
  transition: background-color 0.3s ease;
}


.switch {
  width: 3rem;
  height: 1.5rem;
  align-self: flex-end;
  background-color: var(--c_scheme_bg);
  border-radius: 1.5rem;
  border: 1px solid var(--c_scheme_bg);
  cursor: pointer;
  outline: 0;
  padding: 0.05rem;
  margin-top: 1rem;
  margin-right: 1.5rem;
}
.switch__indicator {
  width: 1.25rem;
  height: 1.25rem;
  background-color: var(--c_scheme_el);
  border-radius: 50%;
  display: block;
  transform: var(--c_scheme_switch);
  transition: transform 0.2s ease;
}


.article {
  max-width: 54rem;
  align-items: center;
  text-align: center;
  font-family: "Oswald", sans-serif;
  margin: 0 auto;
  padding: 1.5rem 8vmin 0;
}
.article > p {
  font-size: 1rem;
  line-height: 2;
  margin-bottom: 2.5rem;
}

.headline {
  font-size: 2rem;
  font-weight: 200;
  margin: 0;
}

.separator {
  width: 7rem;
  border: 1px solid var(--c_scheme_el);
  margin: 1.8rem 0 1.4rem;
}

.figure {
  width: 100%;
  margin: 0 0 3rem;
}
.figure__img {
  width: 100%;
  height: auto;
  filter: var(--c_scheme_filter);
  transition: filter 0.3s ease-in;
}
.figure__caption {
  width: 80%;
  font-size: 0.9rem;
  line-height: 1.8;
  margin: 0 auto;
}

.footer {
  margin: 1rem 0;
}
.footer__small {
  font-size: 0.8rem;
}